/////////////////////////////////////////////////////////////////////
// TORTOISE.S		-	the new Fay City
/////////////////////////////////////////////////////////////////////

SETUP

	IF !gt_PLACED_FAY
		Add gt_PLACED_FAY

		PlaceC FAY_QUEEN pQUEEN
		PlaceC FAY_CHAMPION pCHAMPION
		PlaceC RAFAELA pRAFAELA
		PlaceC FAY_GUARD_1 pG_1
		PlaceC FAY_GUARD_2 pG_2
		PlaceC FAY_GUARD_3 pG_3
		//aceC FAY_GUARD_4 pG_4
		PlaceC FAY_GUARD_5 pG_5
		PlaceC FAY_GUARD_6 pG_6
		PlaceC FAY_GUARD_7 pG_7
		PlaceC FAY_GUARD_8 pG_8

		PlaceC FAY_1 pF_1
		PlaceC FAY_2 pF_2
		PlaceC FAY_3 pF_3
		PlaceC FAY_4 pF_4
		PlaceC FAY_5 pF_5
		PlaceC FAY_6 pF_6
		PlaceC FAY_7 pF_7
		PlaceC FAY_8 pF_8

	ENDIF

	//move out of above IF... for F1.1

	IF POS-P-mel_talisman
		RunS FayFriendly
	ELSE
		RunS FayHostile
	ENDIF

END


VIG TempSetup FALSE

	DisableTeleport CS_HEXSTONE

	Set	gd_WEATHER_TYPE	3
	Set gd_WIND_TYPE	5
    RunS CueWeather

	SetLiquid ALL 800 20 10
	SetWaterType 0
	SetWaterAnimSpeed 0

	PlaceBFlys 30250 21850
	PlaceBFlys 21000 22200
	PlaceBFlys 17250 20000
	PlaceBFlys 15150 16900
	PlaceBFlys  6700 18000

	AddBigFire 26108 2899
	AddBigFire 29956 2906

	CachePortrait DRYADQN.BIN
	CachePortrait TIGRA.BIN
	CachePortrait RAFAELA.BIN
	CachePortrait NIMBUS.BIN

	PlaceFrog pFrog1
	PlaceFrog pFrog2
	PlaceFrog pFrog3
	PlaceFrog pFrog4
	PlaceFrog pFrog5
	PlaceFrog pFrog6
	PlaceFrog pFrog7
	PlaceFrog pFrog8

END

/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////

VIG FayFriendly FALSE

	Remove gt_FAY_HOSTILE

	SetGoodBad FAY_1 good
	SetGoodBad FAY_2 good
	SetGoodBad FAY_3 good
	SetGoodBad FAY_4 good
	SetGoodBad FAY_5 good
	SetGoodBad FAY_6 good
	SetGoodBad FAY_7 good
	SetGoodBad FAY_8 good
	SetGoodBad FAY_GUARD_1 good
	SetGoodBad FAY_GUARD_2 good
	SetGoodBad FAY_GUARD_3 good
	SetGoodBad FAY_GUARD_4 good
	SetGoodBad FAY_GUARD_5 good
	SetGoodBad FAY_GUARD_6 good
	SetGoodBad FAY_GUARD_7 good
	SetGoodBad FAY_GUARD_8 good
	Wander					FAY_1
	SwitchOnSightOfPlayer	FAY_1 LookAtTurnFollow P
	Wander					FAY_2
	SwitchOnSightOfPlayer	FAY_2 LookAtTurnFollow P
	Wander					FAY_3
	SwitchOnSightOfPlayer	FAY_3 LookAtTurnFollow P
	Wander					FAY_4
	SwitchOnSightOfPlayer	FAY_4 LookAtTurnFollow P
	Wander					FAY_5
	SwitchOnSightOfPlayer	FAY_5 LookAtTurnFollow P
	Wander					FAY_6
	SwitchOnSightOfPlayer	FAY_6 LookAtTurnFollow P
	Wander					FAY_7
	SwitchOnSightOfPlayer	FAY_7 LookAtTurnFollow P
	Wander					FAY_8
	SwitchOnSightOfPlayer	FAY_8 LookAtTurnFollow P
	MoveCDir FAY_GUARD_1 pG_1
	MoveCDir FAY_GUARD_2 pG_2
	MoveCDir FAY_GUARD_3 pG_3
	MoveCDir FAY_GUARD_4 pG_4
	MoveCDir FAY_GUARD_5 pG_5
	MoveCDir FAY_GUARD_6 pG_6
	MoveCDir FAY_GUARD_7 pG_7
	MoveCDir FAY_GUARD_8 pG_8

END

/////////////////////////////////////////////////////////////////////

VIG FayHostile FALSE

	Add gt_FAY_HOSTILE

	SetGoodBad	FAY_1 bad
	SetGoodBad	FAY_2 bad
	SetGoodBad	FAY_3 bad
	SetGoodBad	FAY_4 bad
	SetGoodBad	FAY_5 bad
	SetGoodBad	FAY_6 bad
	SetGoodBad	FAY_7 bad
	SetGoodBad	FAY_8 bad
	SetGoodBad	FAY_GUARD_1 bad
	SetGoodBad	FAY_GUARD_2 bad
	SetGoodBad	FAY_GUARD_3 bad
	SetGoodBad	FAY_GUARD_4 bad
	SetGoodBad	FAY_GUARD_5 bad
	SetGoodBad	FAY_GUARD_6 bad
	SetGoodBad	FAY_GUARD_7 bad
	SetGoodBad	FAY_GUARD_8 bad
	Filter		FAY_1 CompletesOnDamaged Wander
	AddControl	FAY_1 AttackDemo2
	Filter		FAY_2 CompletesOnDamaged Wander
	AddControl	FAY_2 AttackDemo2
	Filter		FAY_3 CompletesOnDamaged Wander
	AddControl	FAY_3 AttackDemo2
	Filter		FAY_4 CompletesOnDamaged Wander
	AddControl	FAY_4 AttackDemo2
	Filter		FAY_5 CompletesOnDamaged Wander
	AddControl	FAY_5 AttackDemo2
	Filter		FAY_6 CompletesOnDamaged Wander
	AddControl	FAY_6 AttackDemo2
	Filter		FAY_7 CompletesOnDamaged Wander
	AddControl	FAY_7 AttackDemo2
	Filter		FAY_8 CompletesOnDamaged Wander
	AddControl	FAY_8 AttackDemo2
	AttackDemo2 FAY_GUARD_1
	AttackDemo2 FAY_GUARD_2
	AttackDemo2 FAY_GUARD_3
	AttackDemo2 FAY_GUARD_4
	AttackDemo2 FAY_GUARD_5
	AttackDemo2 FAY_GUARD_6
	AttackDemo2 FAY_GUARD_7
	AttackDemo2 FAY_GUARD_8

END

/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_1 MSG-iFAY_1
	Widescreen TRUE
	EngageAndFace P FAY_1
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gfm099 GENFAYM.BIN
			CASE 1
				Say gfm098 GENFAYM.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gfm005 GENFAYM.BIN
		ELSE
			Say gfm004 GENFAYM.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_1
	SwitchOnSightOfPlayer	FAY_1 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_2 MSG-iFAY_2
	Widescreen TRUE
	EngageAndFace P FAY_2
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 GENFAYF.BIN
			CASE 1
				Say gff098 GENFAYF.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 GENFAYF.BIN
		ELSE
			Say gff004 GENFAYF.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_2
	SwitchOnSightOfPlayer	FAY_2 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_3 MSG-iFAY_3
	Widescreen TRUE
	EngageAndFace P FAY_3
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gfm099 GENFAYM.BIN
			CASE 1
				Say gfm098 GENFAYM.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gfm005 GENFAYM.BIN
		ELSE
			Say gfm004 GENFAYM.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_3
	SwitchOnSightOfPlayer	FAY_3 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_4 MSG-iFAY_4
	Widescreen TRUE
	EngageAndFace P FAY_4
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 GENFAYF.BIN
			CASE 1
				Say gff098 GENFAYF.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 GENFAYF.BIN
		ELSE
			Say gff004 GENFAYF.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_4
	SwitchOnSightOfPlayer	FAY_4 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_5 MSG-iFAY_5
	Widescreen TRUE
	EngageAndFace P FAY_5
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gfm099 GENFAYM.BIN
			CASE 1
				Say gfm098 GENFAYM.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gfm005 GENFAYM.BIN
		ELSE
			Say gfm004 GENFAYM.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_5
	SwitchOnSightOfPlayer	FAY_5 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_6 MSG-iFAY_6
	Widescreen TRUE
	EngageAndFace P FAY_6
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 GENFAYF.BIN
			CASE 1
				Say gff098 GENFAYF.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 GENFAYF.BIN
		ELSE
			Say gff004 GENFAYF.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_6
	SwitchOnSightOfPlayer	FAY_6 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_7 MSG-iFAY_7
	Widescreen TRUE
	EngageAndFace P FAY_7
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gfm099 GENFAYM.BIN
			CASE 1
				Say gfm098 GENFAYM.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gfm005 GENFAYM.BIN
		ELSE
			Say gfm004 GENFAYM.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_7
	SwitchOnSightOfPlayer	FAY_7 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_8 MSG-iFAY_8
	Widescreen TRUE
	EngageAndFace P FAY_8
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 GENFAYF.BIN
			CASE 1
				Say gff098 GENFAYF.BIN
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 GENFAYF.BIN
		ELSE
			Say gff004 GENFAYF.BIN
		ENDIF
	ENDIF
	Widescreen FALSE
	Wander					FAY_8
	SwitchOnSightOfPlayer	FAY_8 LookAtTurnFollow P
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_1 MSG-iFAY_GUARD_1
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_1
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_2 MSG-iFAY_GUARD_2
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_2
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_3 MSG-iFAY_GUARD_3
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_3
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_4 MSG-iFAY_GUARD_4
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_4
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_5 MSG-iFAY_GUARD_5
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_5
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_6 MSG-iFAY_GUARD_6
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_6
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_7 MSG-iFAY_GUARD_7
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_7
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		
/////////////////////////////////////////////////////////////////////
VIG TalkToFAY_GUARD_8 MSG-iFAY_GUARD_8
	Widescreen TRUE
	EngageAndFace P FAY_GUARD_8
	IF gt_FAY_SMELLY
		SWITCH RAND-2
			CASE 0
				Say gff099 TIGRA.bin
			CASE 1
				Say gff098 TIGRA.bin
		ENDSWITCH
	ELSE
		IF gt_FAY_CAPTURED
			Say gff005 TIGRA.bin
		ELSE
			Say gff004 TIGRA.bin
		ENDIF
	ENDIF
	Widescreen FALSE
END		

/////////////////////////////////////////////////////////////////////

VIG TalkToRafaela MSG-iRAFAELA

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P RAFAELA
	IF gt_FAY_CAPTURED
		Say rff006
		Capture RAFAELA cF_OBJ_ACCEPT_1H1
		Capture P cM_OBJ_ACCEPT_1H1
		UUComplete P
		AwardOb P hades_key_gold_1 "coin"
		UUComplete RAFAELA
		Say rff007
		Wait 1000
		FX_YellowFire RAFAELA
		Wait 1500
		KillC RAFAELA
		AwardEP xp_FREE_RAFAELA
		IF ce_RAFAELA
			QLRemove ql503
		ENDIF
	ELSE
		IF ce_RAFAELA
			Say rff002
		ELSE
			Add ce_RAFAELA
			ChangeProfileToIdentified Hfay_Rafaella
			Say rff001
			QLAdd ql503 qlt503 qlb503
		ENDIF
		ResetChoice
		WHILE !MenuExit
			ClearChoices
			AddChoice 1 txrf01
			AddChoice 2 txrf02
			AddChoice 0 tx0003
			GetChoice RAFAELA
			SWITCH Choice
				CASE 1
					Say rff003
				CASE 2
					Say rff004
			ENDSWITCH
		ENDWHILE
		Say rff005
	ENDIF
	Widescreen FALSE
	DrawSwordRemember

END

/////////////////////////////////////////////////////////////////////

VIG TalkToQueen MSG-iFAY_QUEEN

	Widescreen TRUE
	UnDrawSwordRemember
	IF gt_FAY_BANISHED

		Say fq0015
		Capture FAY_QUEEN cF_RIGHT_ARM_SWEEP
		FX_Sprinkle FAY_QUEEN
		Wait 1000
		RunS PalFadeBLACK
		Add gt_FAY_BOOT

		PostMsg t_NX_HEXSTONE
	ELSE

		IF ISDEAD-FAY_CHAMPION

			IF gt_FAY_WHINGE
				Remove gt_FAY_WHINGE
				Say fq0016
			ENDIF
			Say fq0017
			Add gt_FAY_BANISHED
			Remove f_DISABLE_HEXSTONE_CHAOS
			ChangeProfileToNotDestiny hfay_queen
			QLRemove ql504
			RunS FayHostile

		ELSE

			EngageAndFace P FAY_QUEEN 800

			IF !gt_FAY_AUDIENCE

				Add gt_FAY_AUDIENCE

				IF ce_FAY_QUEEN

					IF gt_FAY_CAPTURED
						Say fq0009
					ELSE
						Say fq0003
					ENDIF

				ELSE

					Add ce_FAY_QUEEN
					IF POS-P-mel_talisman
						Say fq0001
					ENDIF

				ENDIF
			ENDIF

			IF co_FQTRADE && !gt_FAY_CAPTURED
				Say fq0005
			ENDIF
			ResetChoice
			WHILE !MenuExit
				ClearChoices

				IF !gt_FAY_CAPTURED
					IF !co_FQTRADE
						//free nelson mandela
						AddChoice 1 txfq01
						//leave
						AddChoice 0 tx0003
					ELSE
						//refuse
						AddChoice 2 txfq03
						//consent
						AddChoice 3 txfq02
					ENDIF
				ELSE
					//Ask for freedom
					AddChoice 4 txfq04
					//Entertain Queen
					AddChoice 5 txfq05
					//leave
					AddChoice 0 tx0003
				ENDIF

				GetChoice FAY_QUEEN DRYADQN.BIN

				SWITCH Choice
					CASE 1
						Say fq0004
						Add co_FQTRADE
						Say fq0005
					CASE 2
						Say fq0006
						SetChoiceToExit
					CASE 3
						Say fq0007
						SetChoiceToExit
						Add gt_FAY_CAPTURED
						QLAdd ql504 qlt504 qlb504
						Add f_DISABLE_HEXSTONE_CHAOS
						RunS TalkToRafaela
						Reveal pretty_orb pretty1
						Reveal pretty_orb pretty2
						Reveal pretty_orb pretty3
						Reveal pretty_orb pretty4
						Reveal smelly_orb smelly
					CASE 4
						Say fq0010
						Add gt_FAY_WHINGE
					CASE 5
						IF POS-P-pretty_orb
							Capture P cM_OBJ_FROM_BKPK_2H_TABLE_PLACE
							UUComplete P
							DeleteObjectsInBackPackWithID P pretty_orb 1
							Capture P cM_V16_DANCE_AROUND_POINT1
							FX_PrettyOrb
							UUComplete P
							Wait 1000
							Say fq0013
							AwardEP xp_PRETTY_ORB
						ELSE
							IF POS-P-smelly_orb
								Capture P cM_OBJ_FROM_BKPK_2H_TABLE_PLACE
								UUComplete P
								DeleteObjectsInBackPackWithID P smelly_orb 1
								Capture P cM_V16_DANCE_AROUND_POINT1
								FX_SmellyOrb
								Wait 1000
								Engage P FAY_QUEEN 600
								UUComplete P
								//Player smells
								Add gt_FAY_SMELLY
								Say fq0014
								Remove gt_FAY_AUDIENCE
								Add gt_FAY_BANISHED
								Remove f_DISABLE_HEXSTONE_CHAOS
								QLRemove ql504
								RunS FayHostile
								SetGoodBad FAY_CHAMPION bad
								ChangeProfileToNotDestiny hfay_queen

								SetChoiceToExit
							ELSE
								Say fq0011
							ENDIF
						ENDIF
					CASE 0
						IF gt_FAY_CAPTURED
							Say fq0012
						ELSE
							Say fq0008
						ENDIF
				ENDSWITCH
			ENDWHILE

		ENDIF

	ENDIF

	Widescreen FALSE
	LookAtTurnFollow FAY_QUEEN P

END

/////////////////////////////////////////////////////////////////////

VIG QueenStopsFight ONESEC && gt_FAY_HOSTILE && !ce_FAY_QUEEN && (DISTFROM-P-FAY_QUEEN-12 || ISDEAD-FAY_GUARD_3 || ISDEAD-FAY_GUARD_2 || ISDEAD-FAY_GUARD_6 || ISDEAD-FAY_GUARD_7 || ISDEAD-FAY_GUARD_8)

	Widescreen TRUE
	RunS FayFriendly
	Say fq0002
	RunS TalkToQueen

END

/////////////////////////////////////////////////////////////////////

VIG TalkToChampion MSG-iFAY_CHAMPION

	Widescreen TRUE

	EngageAndFace P FAY_CHAMPION

	IF gt_FAY_CAPTURED
		Say fc0002

		ResetChoice
		ClearChoices

		AddChoice 1 txfc01
		AddChoice 0 tx0003

		GetChoice FAY_CHAMPION

		SWITCH Choice
			CASE 1
				Say fc0003
				SetGoodBad FAY_CHAMPION bad
				GiveSightOfPlayerTo FAY_CHAMPION
				AttackDemo2 FAY_CHAMPION
				Add gt_FAY_PROVOKED
			CASE 0
				Say fc0004
		ENDSWITCH
	ELSE
		Say fc0001
	ENDIF

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

VIG LeaveAudience TENSEC && gt_FAY_AUDIENCE && !DISTFROM-P-FAY_QUEEN-12

	Remove gt_FAY_AUDIENCE
	StopC FAY_QUEEN

END

/////////////////////////////////////////////////////////////////////

VIG ProvokeCombat ONESEC && !gt_FAY_PROVOKED && (DAMAGED-FAY_QUEEN || DAMAGED-FAY_CHAMPION)

	IF !gt_FAY_BANISHED
		ClearDamaged FAY_QUEEN
		ClearDamaged FAY_CHAMPION
		SetHP FAY_QUEEN 1250
		SetHP FAY_CHAMPION 2500
	ELSE
		Add gt_FAY_PROVOKED
		SetGoodBad FAY_CHAMPION bad
		GiveSightOfPlayerTo FAY_CHAMPION
		AttackDemo2 FAY_CHAMPION
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG CannotLoseIckOrb ONEMIN && ISINSHOP-HEXK_SHOP-smelly_orb

	//player has sent orb of Ick to the Hex!
	//send it right back into backpack and
	//change description to include "can't get rid of it" text
	DELSTOCK HEXK_SHOP smelly_orb
	AwardOb P smelly_orb "ick"
	IF !gt_ID_SMELLY_ORB
		Add gt_ID_SMELLY_ORB
		Identify smelly_orb
	ENDIF

END

/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////

VIG FlyBy FALSE

	Widescreen TRUE

	// *** EXAMPLE CAMERA FLY-BY CODE ***

	// use Wait at start and end to help when editing the final recording
	// use UUCameraComplete to wait for a pan to finish
	// use SetCamMoveConstant to set camera movement per frame
	//     - remember the movie is played at 25fps no matter how slow it records

	SetCamMoveConstant 50

	StartRecord

	camcut pSTART

	campan pMIDDLE
	UUCameraComplete

	campan pFINISH
	UUCameraComplete

	StopRecord

	// *** END OF FLY-BY ***

	Widescreen FALSE

END

/////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////
